Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455020 - Crash on startup
Summary: Crash on startup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Nigel Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 14:33 UTC by Adam Huffman
Modified: 2008-07-25 05:20 UTC (History)
0 users

Fixed In Version: 0.4.3.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-25 05:20:19 UTC


Attachments (Terms of Use)

Description Adam Huffman 2008-07-11 14:33:53 UTC
Description of problem:
F-spot crashes when invoked from a terminal

This may be different than the other import bug as it doesn't seem to be
Canon-specific (the connected device is a Sony Ericcson phone)

Version-Release number of selected component (if applicable):
f-spot-0.4.2-5.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Start f-spot from a terminal
2.
3.
  
Actual results:
F-spot crashes

Expected results:
F-spot starts normally

Additional info:

Command-line output:

 f-spot
Initializing Mono.Addins
Starting new FSpot server
Query: SELECT photos.id, photos.time, photos.uri, photos.description,
photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE
photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY
photos.time
Query: SELECT photos.id, photos.time, photos.uri, photos.description,
photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE
photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY
photos.time
Query: SELECT photos.id, photos.time, photos.uri, photos.description,
photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE
photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY
photos.time
Query: SELECT photos.id, photos.time, photos.uri, photos.description,
photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE
photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY
photos.time
Reloading
Query: SELECT photos.id, photos.time, photos.uri, photos.description,
photos.roll_id, photos.default_version_id, photos.rating FROM photos  WHERE
photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY
photos.time
item changed
PHONE - gnome-dev-ipod - Mountpoint file:///media/PHONE True True MusicPlayer
MusicPlayer
PHONE CARD - gnome-dev-ipod - Mountpoint file:///media/PHONE%20CARD True True
MusicPlayer
MusicPlayer
IPOD - gnome-dev-ipod - Mountpoint file:///media/IPOD True True MusicPlayer
MusicPlayer
DFT32_v411_b0 - gnome-dev-disc-cdrw - Mountpoint file:///media/DFT32_v411_b0
True True Cdrom
Cdrom
*** glibc detected *** f-spot: free(): invalid pointer: 0x000000000206d284 ***
======= Backtrace: =========
/lib64/libc.so.6[0x36ac878158]
/lib64/libc.so.6(cfree+0x76)[0x36ac87a796]
[0x3321f5]
======= Memory map: ========
00110000-00124000 rwxp 00110000 00:00 0 
00124000-0012f000 r-xp 00000000 fd:00 558446                            
/lib64/libnss_files-2.8.so
0012f000-0032e000 ---p 0000b000 fd:00 558446                            
/lib64/libnss_files-2.8.so
0032e000-0032f000 r--p 0000a000 fd:00 558446                            
/lib64/libnss_files-2.8.so
0032f000-00330000 rw-p 0000b000 fd:00 558446                            
/lib64/libnss_files-2.8.so
00330000-00400000 rwxp 00330000 00:00 0 
00400000-005f3000 r-xp 00000000 fd:04 1446232                           
/usr/bin/mono
005f3000-00633000 rwxp 005f3000 00:00 0 
00633000-00635000 rwxp 00000000 00:0f 2102                               /dev/zero
00635000-00655000 rwxp 00635000 00:00 0 
007f3000-007f6000 rw-p 001f3000 fd:04 1446232                           
/usr/bin/mono
007f6000-00810000 rw-p 007f6000 00:00 0 
00810000-00812000 r-xp 00000000 fd:04 3310447                           
/usr/lib64/libglibsharpglue-2.so
00812000-00a11000 ---p 00002000 fd:04 3310447                           
/usr/lib64/libglibsharpglue-2.so
00a11000-00a12000 rw-p 00001000 fd:04 3310447                           
/usr/lib64/libglibsharpglue-2.so
00bf5000-00bfc000 rw-p 001f5000 fd:04 1446232                           
/usr/bin/mono
00bfc000-00c00000 r-xp 00000000 fd:04 3314297                           
/usr/lib64/libgnomesharpglue-2.so
00c00000-00dff000 ---p 00004000 fd:04 3314297                           
/usr/lib64/libgnomesharpglue-2.so
00dff000-00e00000 rw-p 00003000 fd:04 3314297                           
/usr/lib64/libgnomesharpglue-2.so
00e00000-00e02000 r-xp 00000000 fd:04 3320776                           
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
00e02000-01001000 ---p 00002000 fd:04 3320776                           
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
01001000-01002000 rw-p 00001000 fd:04 3320776                           
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
0116a000-012f0000 rw-p 0116a000 00:00 0 
012f0000-012f1000 rwxp 012f0000 00:00 0 
012f1000-01351000 rw-p 012f1000 00:00 0 
01351000-01354000 rwxp 01351000 00:00 0 
01354000-0135e000 rw-p 01354000 00:00 0 
0135e000-01360000 rwxp 0135e000 00:00 0 
01360000-01897000 rw-p 01360000 00:00 0 
01897000-01898000 rwxp 01897000 00:00 0 
01898000-0189a000 rw-p 01898000 00:00 0 
0189a000-0189b000 rwxp 0189a000 00:00 0 
0189b000-01cb4000 rw-p 0189b000 00:00 0 
01cb4000-01cb5000 rwxp 01cb4000 00:00 0 
01cb5000-01cba000 rw-p 01cb5000 00:00 0 
01cba000-01cbb000 rwxp 01cba000 00:00 0 
01cbb000-01cc1000 rw-p 01cbb000 00:00 0 
01cc1000-01cc2000 rwxp 01cc1000 00:00 0 
01cc2000-01ce3000 rw-p 01cc2000 00:00 0 
01ce3000-01ce4000 rwxp 01ce3000 00:00 0 
01ce4000-01d6a000 rw-p 01ce4000 00:00 0 
01d6a000-01d6b000 rwxp 01d6a000 00:00 0 
01d6b000-01fcd000 rw-p 01d6b000 00:00 0 
01fcd000-01fce000 rwxp 01fcd000 00:00 0 
01fce000-020ef000 rw-p 01fce000 00:00 0 
40599000-4059a000 ---p 40599000 00:00 0 
4059a000-4059d000 rwxp 4059a000 00:00 0 
4059d000-4059e000 ---p 4059d000 00:00 0 
4059e000-4079e000 rwxp 4059e000 00:00 0 
4096b000-4096c000 ---p 4096b000 00:00 0 
4096c000-40b6c000 rwxp 4096c000 00:00 0 
40b6c000-40b6d000 ---p 40b6c000 00:00 0 
40b6d000-40d6d000 rwxp 40b6d000 00:00 0 
41067000-410ec000 rw-p 00000000 00:0f 2102                               /dev/zero
41689000-4168a000 ---p 41689000 00:00 0 
4168a000-4188a000 rwxp 4168a000 00:00 0 
303e800000-303e808000 r-xp 00000000 fd:00 557141                        
/lib64/libpopt.so.0.0.0
303e808000-303ea08000 ---p 00008000 fd:00 557141                        
/lib64/libpopt.so.0.0.0
303ea08000-303ea09000 rw-p 00008000 fd:00 557141                        
/lib64/libpopt.so.0.0.0
303ec00000-303ec0f000 r-xp 00000000 fd:04 3319461                       
/usr/lib64/libpanel-applet-2.so.0.2.34
303ec0f000-303ee0e000 ---p 0000f000 fd:04 3319461                       
/usr/lib64/libpanel-applet-2.so.0.2.34
303ee0e000-303ee10000 rw-p 0000e000 fd:04 3319461                       
/usr/lib64/libpanel-applet-2.so.0.2.34
303f000000-303f017000 r-xp 00000000 fd:04 3319459                       
/usr/lib64/libglade-2.0.so.0.0.7
303f017000-303f216000 ---p 00017000 fd:04 3319459                       
/usr/lib64/libglade-2.0.so.0.0.7
303f216000-303f218000 rw-p 00016000 fd:04 3319459                       
/usr/lib64/libglade-2.0.so.0.0.7
303f600000-303f608000 r-xp 00000000 fd:04 3309971                       
/usr/lib64/libSM.so.6.0.0
303f608000-303f807000 ---p 00008000 fd:04 3309971                       
/usr/lib64/libSM.so.6.0.0
303f807000-303f808000 rw-p 00007000 fd:04 3309971                       
/usr/lib64/libSM.so.6.0.0
303fa00000-303fa2c000 r-xp 00000000 fd:04 3319422                       
/usr/lib64/libpangoft2-1.0.so.0.2000.4
303fa2c000-303fc2b000 ---p 0002c000 fd:04 3319422                       
/usr/lib64/libpangoft2-1.0.so.0.2000.4
303fc2b000-303fc2d000 rw-p 0002b000 fd:04 3319422                       
/usr/lib64/libpangoft2-1.0.so.0.2000.4
303fe00000-303fe1f000 r-xp 00000000 fd:04 3311039                       
/usr/lib64/libgdk_pixbuf-2.0.so.0.1200.11
303fe1f000-304001f000 ---p 0001f000 fd:04 3311039                       
/usr/lib64/libgdk_pixbuf-2.0.so.0.1200.11
304001f000-3040020000 rw-p 0001f000 fd:04 3311039                       
/usr/lib64/libgdk_pixbuf-2.0.so.0.1200.11
3040200000-30402ae000 r-xp 00000000 fd:04 3319431                       
/usr/lib64/libgdk-x11-2.0.so.0.1200.11
30402ae000-30404ad000 ---p 000ae000 fd:04 3319431                       
/usr/lib64/libgdk-x11-2.0.so.0.1200.11
30404ad000-30404b2000 rw-p 000ad000 fd:04 3319431                       
/usr/lib64/libgdk-x11-2.0.so.0.1200.11
3040600000-3040a76000 r-xp 00000000 fd:04 3319433                       
/usr/lib64/libgtk-x11-2.0.so.0.1200.11
3040a76000-3040c75000 ---p 00476000 fd:04 3319433                       
/usr/lib64/libgtk-x11-2.0.so.0.1200.11
3040c75000-3040c80000 rw-p 00475000 fd:04 3319433                       
/usr/lib64/libgtk-x11-2.0.so.0.1200.11
3040c80000-3040c82000 rw-p 3040c80000 00:00 0 
3040e00000-3040e0a000 r-xp 00000000 fd:04 3319424                       
/usr/lib64/libpangocairo-1.0.so.0.2000.4
3040e0a000-3041009000 ---p 0000a000 fd:04 3319424                       
/usr/lib64/libpangocairo-1.0.so.0.2000.4
3041009000-304100a000 rw-p 00009000 fd:04 3319424                       
/usr/lib64/libpangocairo-1.0.so.0.2000.4
3041200000-3041242000 r-xp 00000000 fd:04 3311479                       
/usr/lib64/libpango-1.0.so.0.2000.4
3041242000-3041442000 ---p 00042000 fd:04 3311479                       
/usr/lib64/libpango-1.0.so.0.2000.4
3041442000-3041445000 rw-p 00042000 fd:04 3311479                       
/usr/lib64/libpango-1.0.so.0.2000.4
3041600000-3041612000 r-xp 00000000 fd:04 3319453                       
/usr/lib64/libgnome-keyring.so.0.1.1
3041612000-3041811000 ---p 00012000 fd:04 3319453                       
/usr/lib64/libgnome-keyring.so.0.1.1
3041811000-3041812000 rw-p 00011000 fd:04 3319453                       
/usr/lib64/libgnome-keyring.so.0.1.1
3041a00000-3041a72000 r-xp 00000000 fd:04 3312672                       
/usr/lib64/libgnomeprint-2-2.so.0.1.0
3041a72000-3041c71000 ---p 00072000 fd:04 3312672                       
/usr/lib64/libgnomeprint-2-2.so.0.1.0
3041c71000-3041c75000 rw-p 00071000 fd:04 3312672                       
/usr/lib64/libgnomeprint-2-2.so.0.1.0
3041e00000-3041e07000 r-xp 00000000 fd:04 3314179                       
/usr/lib64/libgailutil.so.18.0.1
3041e07000-3042006000 ---p 00007000 fd:04 3314179                       
/usr/lib64/libgailutil.so.18.0.1
3042006000-3042007000 rw-p 00006000 fd:04 3314179                       
/usr/lib64/libgailutil.so.18.0.1
3042200000-3042216000 r-xp 00000000 fd:04 3319447                       
/usr/lib64/libgnome-2.so.0.2200.0
3042216000-3042415000 ---p 00016000 fd:04 3319447                       
/usr/lib64/libgnome-2.so.0.2200.0
3042415000-3042417000 rw-p 00015000 fd:04 3319447                       
/usr/lib64/libgnome-2.so.0.2200.0
3042600000-3042632000 r-xp 00000000 fd:04 3311466                       
/usr/lib64/libgnomecanvas-2.so.0.2001.0
3042632000-3042832000 ---p 00032000 fd:04 3Stacktrace:

  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0x00045>
  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0xffffffff>
  at (wrapper managed-to-native) LibGPhoto2.CameraList.gp_list_get_value
(System.Runtime.InteropServices.HandleRef,int,string&) <0xffffffff>
  at LibGPhoto2.CameraList.GetValue (int) <0x000d4>
  at SourceMenu..ctor (ImportCommand) <0x004ac>
  at ImportCommand.ImportFromFile (PhotoStore,string) <0x00379>
  at MainWindow.ImportFile (string) <0x00062>
  at ImportCommand.Execute () <0x00069>
  at FSpot.Core.Import (string) <0x0004b>
  at FSpot.Driver.Main (string[]) <0x01019>
  at (wrapper runtime-invoke) FSpot.Driver.runtime_invoke_int_string[]
(object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

	f-spot [0x527be9]
	/lib64/libpthread.so.0 [0x36ad40ed30]
	/lib64/libc.so.6(gsignal+0x35) [0x36ac832215]
	/lib64/libc.so.6(abort+0x183) [0x36ac833d83]
	/lib64/libc.so.6 [0x36ac872858]
	/lib64/libc.so.6 [0x36ac878158]
	/lib64/libc.so.6(cfree+0x76) [0x36ac87a796]
	[0x3321f5]
Killed

Comment 1 Nigel Jones 2008-07-14 11:41:03 UTC
I don't have the devices to test this properly locally, in the mean time I've 
pushed 0.4.3.1-1.fc9 to arrive in the next testing push for Fedora 9, in the 
mean time, you can grab a copy of the RPM from http://
kojipkgs.fedoraproject.org/packages/f-spot/0.4.3.1/1.fc9/, I'd really 
appreciate it if you could check if you can still reproduce this bug with 
0.4.3.1.

Thank you.

Comment 2 Adam Huffman 2008-07-14 16:46:46 UTC
That build has fixed the problem for me.

Thanks.

Comment 3 Adam Huffman 2008-07-14 17:00:23 UTC
Thought I should mention that after installing the updated package, I now have
two F-spot entries in the "Open with" menu i.e. the one you see when
right-clicking on a memory card's icon on the desktop.

Comment 4 Nigel Jones 2008-07-25 05:20:19 UTC
(In reply to comment #3)
> Thought I should mention that after installing the updated package, I now have
> two F-spot entries in the "Open with" menu i.e. the one you see when
> right-clicking on a memory card's icon on the desktop.

Opened as Bug #456632

Closing this one to keep me sane :)


Note You need to log in before you can comment on or make changes to this bug.